package com.ym.mec.biz.dal.dao;

import java.util.List;

import com.ym.mec.biz.dal.entity.LuckDrawPrize;
import com.ym.mec.common.dal.BaseDAO;

public interface LuckDrawPrizeDao extends BaseDAO<Integer, LuckDrawPrize> {

	/**
	 * 查询所有可用记录
	 * @param group
	 * @return
	 */
	List<LuckDrawPrize> queryEnabledList(int group);

	/**
	 * 获取锁
	 * @param id
	 * @return
	 */
	LuckDrawPrize getLock(Integer id);

	/**
	 * 批量新增
	 * @param luckDrawPrizeList
	 * @return
	 */
	int batchInsert(List<LuckDrawPrize> luckDrawPrizeList);

	/**
	 * 查询默认奖品
	 * @param group
	 * @return
	 */
	List<LuckDrawPrize> queryDefaultPrize(int group);
}